Saltar al contenido principal
GET
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign-id}
Get Campaign By Id
curl --request GET \
  --url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id} \
  --header 'Authorization: Bearer <token>'
{
  "campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "isActive": true,
  "isSmart": true,
  "campaignType": "manual",
  "status": "approved",
  "createdAt": "2023-11-07T05:31:56Z",
  "chargeType": "CPM",
  "externalVendorId": "<string>",
  "adFormat": "listing",
  "isAutoTrigger": true,
  "vendorId": "<string>",
  "walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "bidCount": 123,
  "budget": {
    "amount": 123,
    "amountRemaining": 123,
    "amountCarryover": 123,
    "amountUsed": 123,
    "type": "daily"
  },
  "statusUpdatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "campaignBehaviorData": "<string>",
  "campaignBehaviorDataByDay": "<string>",
  "exclusivityPrice": 123,
  "targetRoas": 123,
  "externalCampaignId": "<string>",
  "autobiddingObjective": "impressions",
  "promotionType": {
    "bannerAssets": [
      {
        "dimensions": {
          "width": 123,
          "height": 123
        },
        "url": "<string>",
        "contentType": "image/png",
        "size": 123,
        "assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
        "content": {},
        "jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "slotId": "<string>",
    "adFormat": "<string>",
    "deviceType": "desktop"
  }
}

Autorizaciones

Authorization
string
header
requerido

A valid API key generated in Topsort's UI.

Parámetros de ruta

campaign-id
string<uuid>
requerido

The ID of the campaign.

Respuesta

Successful Response

The campaign model.

campaignId
string<uuid>
requerido

The ID of the campaign.

marketplaceId
string<uuid>
requerido

The ID of the marketplace.

name
string
requerido

The name of the campaign.

Minimum string length: 1
Ejemplo:

"Bola-Bola Ad campaign"

startDate
string<date-time>
requerido

The starting date of the campaign.

endDate
string<date-time>
requerido

The end date of the campaign.

isActive
boolean
requerido

Whether this campaign is active.

isSmart
boolean
requerido

Whether this campaign is "smart".

campaignType
enum<string>
requerido

The bidding method for the campaign.

Opciones disponibles:
manual,
autobidding,
exclusive
status
enum<string>
requerido

Represents the review status of a banner campaign.

Opciones disponibles:
approved,
pending,
rejected
createdAt
string<date-time>
requerido

When was this campaign created.

chargeType
requerido

Campaign charge type.

CPM: cost per mille impressions CPC: cost per click CPA: cost per action. CPA reflects the total cost to achieve a conversion.

Opciones disponibles:
CPM,
CPC,
CPA
externalVendorId
string
requerido
obsoleto

The ID of the vendor. Deprecated. Use vendor_id instead.

Minimum string length: 1
adFormat
enum<string>
requerido

The ad format of the campaign. Can be listing or banner.

Opciones disponibles:
listing,
banner,
sponsored_brand,
exclusive_listing,
exclusive_banner,
travel_listing,
flight_listing
Ejemplo:

"listing"

isAutoTrigger
boolean
requerido

Whether the campaign is auto-triggered.

vendorId
string
requerido

The ID of the vendor.

Minimum string length: 1
walletId
string<uuid>
requerido

The uuid of the wallet to be used with this campaign.

bidCount
integer
requerido
obsoleto

The amount of active bids associated with this campaign. This field is deprecated and will be set to 0 once the notice period is over.

budget
Budget · object

The budget assigned to the campaign.

statusUpdatedBy
string<uuid> | null

The ID of the user who reviewed the campaign. If it's null and the status is not "pending" then it means this campaign has autoapproval status.

campaignBehaviorData
string | null
obsoleto

Deprecated. This field is always null. For behavioral data use reporting service.

campaignBehaviorDataByDay
string | null
obsoleto

Deprecated. This field is always null. For behavioral data use reporting service.

exclusivityPrice
integer | null

Daily price for an exclusive campaign, can only be set if a campaign is exclusive

targetRoas
number | null

The target return on ad spend (ROAS) for this campaign. This is only applicable for autobidding listing campaigns.

externalCampaignId
string | null

The external ID of the campaign in the marketplace. Must be unique per marketplace and format combination.

autobiddingObjective
enum<string> | null

The autobidding objective for the campaign.

Opciones disponibles:
impressions,
clicks,
conversions,
revenue
promotionType
BannerAd · object
obsoleto

Deprecated. Use adFormat field instead and format properties inside bids. The promotion type and attributes. Ad format must set to 'banner' for exclusive campaigns.